Update package
Update an existing package
Also accepts PATCH with the same body.
PUT
/
admin
/
api
/
v1
/
inventories
/
packages
/
{id}
Update package
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/inventories/packages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/packages/{id}"
payload = {
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'PACK-0001', package_type_id: 1, pack_date: '2026-02-19', location_id: 3})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/packages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/packages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'PACK-0001',
'package_type_id' => 1,
'pack_date' => '2026-02-19',
'location_id' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"name": "PKG-936806",
"package_use": "reusable",
"pack_date": "2026-03-03T00:00:00.000000Z",
"created_at": null,
"updated_at": null
},
"message": "Package updated successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Success
⌘I
Update package
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/inventories/packages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/packages/{id}"
payload = {
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'PACK-0001', package_type_id: 1, pack_date: '2026-02-19', location_id: 3})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/packages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/packages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'PACK-0001',
'package_type_id' => 1,
'pack_date' => '2026-02-19',
'location_id' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"name": "PKG-936806",
"package_use": "reusable",
"pack_date": "2026-03-03T00:00:00.000000Z",
"created_at": null,
"updated_at": null
},
"message": "Package updated successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}